<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from hermite_poly.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="hermite_poly" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>hermite_poly</refname>
    <refpurpose>Create Hermite polynomial</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=hermite_poly(n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, n>=0.</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a polynomial</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Create a Hermite polynomial of degree n at point x.
   </para>
   <para>
The Hermite polynomials are orthogonals with respect to
the scalar product :
   </para>
   <para>
<latex>
(f,g)=\int_{0}^{\infty} f(x) g(x) w(x) dx
</latex>
   </para>
   <para>
where w(x) is the Hermite weight.
   </para>
   <para>
To evaluate it, we can use the horner function,
but hermite_eval might be faster and more accurate.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
for n=0:10
y=hermite_poly(n);
disp(y)
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://en.wikipedia.org/wiki/Gaussian_integral</para>
   <para>http://en.wikipedia.org/wiki/Hermite_polynomials</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
